glutTimerFunc
Prev | GLUT | Next

## Name

glutTimerFunc — registers a timer callback to be triggered in a specified number of milliseconds.

## C Specification

`void `glutTimerFunc`` | `(` | `unsigned int `msecs`, void (*`func`)(int value), value);`

## Python Specification

``glutTimerFunc`` | `(` | ``msecs`, `func`, ) → `None``

## Parameters

`msecs`
  Number of milliseconds to pass before calling the callback.
`func`
  The timer callback function.
`value`
  Integer value to pass to the timer callback.

## Description

`glutTimerFunc` registers the timer callback func to be triggered in at least msecs milliseconds. The `value` parameter to the timer callback will be the value of the `value` parameter to `glutTimerFunc`. Multiple timer callbacks at same or differing times may be registered simultaneously.

The number of milliseconds is a lower bound on the time before the callback is generated. GLUT attempts to deliver the timer callback as soon as possible after the expiration of the callback's time interval.

There is no support for canceling a registered callback. Instead, ignore a callback based on its value parameter when it is triggered.

## See Also

glutIdleFunc

Prev | Up | Next
glutTabletMotionFunc | Home | glutUseLayer